import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional()
}).strict();
export const OfficeHoursMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.OfficeHoursMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.OfficeHoursMaxOrderByAggregateInput>;
export const OfficeHoursMaxOrderByAggregateInputObjectZodSchema = makeSchema();
